#!/usr/bin/python
# -* coding: iso-8859-1 -*-
"""
**********************************************************************
File Name:             Test_I2C_IO.py
Dev:                   Daniele De Santis
Email:                 desantis@areasx.com
Web:                   http://www.areasx.com

Versione:              0.0
Data:                  19/02/15
Note Hardware:  
Note Software: 
**********************************************************************
"""

import time
import smbus

print "Test I2C Ingressi e Uscite Digitali"
bus = smbus.SMBus(1)


bus.write_byte_data(0x04,0x03,0x00) #Disabilita il Watchdog

#Test INGRESSI DIGITALI
time.sleep(1.0)
din = bus.read_byte_data(0x04,0x01)
"""
Ingressi digitali
  MOLEX 24 PIN 1 2 3 4
  MOLEX 24 PIN 15 16 17 18
"""
print "Stato ingressi:"
print 
print "Din  =  %x %s " % (din, bin(din))
print "--------------------------------"

#TEST USCITE OPEN COLLECTOR
print "Stato uscite OPEN COLLECTOR"
oc_value = 0
bus.write_i2c_block_data(0x04,0x16,[oc_value])
print "Dout = 0x%X" % oc_value
time.sleep(2.0)
oc_value = oc_value + (1<<0) #Open collector 1 MOLEX 24  PIN5
oc_value = oc_value + (1<<1) #Open collector 2 MOLEX 24  PIN6
oc_value = oc_value + (1<<2) #Open collector 3 MOLEX 24  PIN7
oc_value = oc_value + (1<<3) #Open collector 4 MOLEX 24  PIN8
  
print "Dout = 0x%X" % oc_value
bus.write_i2c_block_data(0x04,0x16,[oc_value])
